Initiate bulk loan tape upload
Creates a bulk ingest job with multiple deals at once. Each entry must specify a loan type (e.g. “Auto”). Returns a bulk_job_id and an upload URL for each deal.
POST
/
v1
/
api
/
originator
/
loans
/
bulk
Initiate bulk loan tape upload
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{type: 'Auto'}])
};
fetch('https://api.9squid.com/v1/api/originator/loans/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.9squid.com/v1/api/originator/loans/bulk"
payload = [{ "type": "Auto" }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.9squid.com/v1/api/originator/loans/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"type": "Auto"
}
]
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.9squid.com/v1/api/originator/loans/bulk"
payload := strings.NewReader("[\n {\n \"type\": \"Auto\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
using RestSharp;
var options = new RestClientOptions("https://api.9squid.com/v1/api/originator/loans/bulk");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("[\n {\n \"type\": \"Auto\"\n }\n]", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
import Foundation
let parameters = [["type": "Auto"]] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.9squid.com/v1/api/originator/loans/bulk")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "[\n {\n \"type\": \"Auto\"\n }\n]")
val request = Request.Builder()
.url("https://api.9squid.com/v1/api/originator/loans/bulk")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"bulk_job_id": "job_abc123",
"files": [
{
"deal_id": "deal_abc123",
"upload_url": "https://api.9squid.com/v1/api/originator/loans/upload?u=<token>",
"file_name": "a1b2c3d4.upload",
"expires_in": 3600
}
]
}
}⌘I
Initiate bulk loan tape upload
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{type: 'Auto'}])
};
fetch('https://api.9squid.com/v1/api/originator/loans/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.9squid.com/v1/api/originator/loans/bulk"
payload = [{ "type": "Auto" }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)